org.apache.pdfbox.pdmodel.font.encoding

## Class MacOSRomanEncoding

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.encoding.Encoding
  - - org.apache.pdfbox.pdmodel.font.encoding.MacRomanEncoding
    - - org.apache.pdfbox.pdmodel.font.encoding.MacOSRomanEncoding

All Implemented Interfaces:
  COSObjectable

    public class MacOSRomanEncoding
    extends MacRomanEncoding

This is the Mac OS Roman encoding, which is similar to the MacRomanEncoding with the addition of 15 entries

### Field Summary

Fields
`static MacOSRomanEncoding` `INSTANCE` Singleton instance of this class.

### Fields inherited from class org.apache.pdfbox.pdmodel.font.encoding.Encoding

`CHAR_CODE, CHAR_NAME, codeToName, inverted`

### Constructor Summary

Constructors
Constructor and Description
`MacOSRomanEncoding()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.

### Methods inherited from class org.apache.pdfbox.pdmodel.font.encoding.MacRomanEncoding

`getEncodingName`

### Methods inherited from class org.apache.pdfbox.pdmodel.font.encoding.Encoding

`add, contains, contains, getCodeToNameMap, getInstance, getName, getNameToCodeMap, overwrite`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final MacOSRomanEncoding INSTANCE

Singleton instance of this class.

Since:
  Apache PDFBox 2.0.0

### Constructor Detail

#### MacOSRomanEncoding

    public MacOSRomanEncoding()

Constructor.

### Method Detail

#### getCOSObject

    public COSBase getCOSObject()

Description copied from interface: `COSObjectable`
Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Overrides:
  `getCOSObject` in class `MacRomanEncoding`
Returns:
  The cos object that matches this Java object.